using Autofac;
using e_suite.API.Common;
using e_suite.API.Common.repository;
using e_suite.DependencyInjection;
using e_suite.Modules.CustomFieldsManager.Repository;

namespace e_suite.Modules.CustomFieldsManager;

public class IocRegistration : IIocRegistration
{
    public void RegisterTypes(ContainerBuilder builder)
    {
        builder.RegisterType<CustomFieldManager>().As<ICustomFieldManager>().InstancePerLifetimeScope();
        builder.RegisterType<CustomFieldHelper>().As<ICustomFieldHelper>().InstancePerLifetimeScope();

        builder.RegisterType<CustomFieldRepository>().As<ICustomFieldRepository>().InstancePerLifetimeScope();
        builder.RegisterType<CustomFieldReferenceObjectRepository>().As<ICustomFieldReferenceObjectRepository>().InstancePerLifetimeScope();
        
    }
}